summaryrefslogtreecommitdiff
path: root/get-regions
diff options
context:
space:
mode:
Diffstat (limited to 'get-regions')
-rwxr-xr-xget-regions18
1 files changed, 18 insertions, 0 deletions
diff --git a/get-regions b/get-regions
new file mode 100755
index 00000000..bb3fd744
--- /dev/null
+++ b/get-regions
@@ -0,0 +1,18 @@
+#!/bin/bash
+filter_output () {
+ # drop any lines that doesn't contain a dash
+ # (to filter out "GLOBAL")
+ while read l
+ do
+ if [[ "$l" == *"-"* ]]; then
+ echo $l
+ fi
+ done
+}
+
+set -o pipefail
+curl -sSL 'https://ip-ranges.amazonaws.com/ip-ranges.json' |
+ jq -r '.prefixes[].region, .ipv6_prefixes[].region' |
+ sort |
+ uniq |
+ filter_output